Delete Compute Profile

Delete Compute Profile
Delete a compute profile by id.

Delete a compute profile by id.

Request
URI
DELETE
https://{server}/hybridity/api/interconnect/computeProfiles/{computeProfileId}
COPY
Path Parameters
string
computeProfileId
Required

Compute Profile ID


Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns computeProfilePostResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "computeProfileId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


400

Bad Request

Operation doesn't return any data structure

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/hybridity/api/interconnect/computeProfiles/{computeProfileId}